aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/dkms.postbuild
diff options
context:
space:
mode:
authorTom Prince <[email protected]>2014-10-09 14:08:00 -0300
committerBrian Behlendorf <[email protected]>2014-10-09 12:00:25 -0700
commitde2a22fcb3e7e8d7c4f695aeb0caf9cdc8f82c9a (patch)
tree6bcfae0c12531bbb8c4b28fee0a07c299a5f1efb /scripts/dkms.postbuild
parent81857a34d1d767abf40aea7e6db074d8cbf7b49f (diff)
Install header during post-build rather than post-install.
New versions of dkms clean up the build directory after installing. It appears that this was always intended, but had rm -rf "/path/to/build/*" (note the quotes), which prevented it from working. Also, the build step is already installing stuff into the directory where these files go, so installing our stuff there as part of build rather than install makes sense. Signed-off-by: Tom Prince <[email protected]> Signed-off-by: Richard Yao <[email protected]> Signed-off-by: Brian Behlendorf <[email protected]> Closes #399
Diffstat (limited to 'scripts/dkms.postbuild')
-rwxr-xr-xscripts/dkms.postbuild24
1 files changed, 24 insertions, 0 deletions
diff --git a/scripts/dkms.postbuild b/scripts/dkms.postbuild
new file mode 100755
index 000000000..a23bbdabb
--- /dev/null
+++ b/scripts/dkms.postbuild
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+PROG=$0
+
+while getopts "a:k:n:t:v:" opt; do
+ case $opt in
+ a) arch=$OPTARG ;;
+ k) kver=$OPTARG ;;
+ n) pkgname=$OPTARG ;;
+ t) tree=$OPTARG ;;
+ v) pkgver=$OPTARG ;;
+ esac
+done
+
+if [ -z "${arch}" -o -z "${kver}" -o -z "${pkgname}" -o \
+ -z "${tree}" -o -z "${pkgver}" ]; then
+ echo "Usage: $PROG -a <arch> -k <kver> -n <pkgname>" \
+ "-t <tree> -v <pkgver>"
+ exit 1
+fi
+
+cp ${tree}/${pkgname}/${pkgver}/build/spl_config.h \
+ ${tree}/${pkgname}/${pkgver}/build/module/Module.symvers \
+ ${tree}/${pkgname}/${pkgver}/${kver}/${arch}/